Componette

Componette

Kdyby

Kdyby / Validator v0.6.1

Integration of Symfony/Validator into Nette Framework

download-cloud-line composer require kdyby/validator
  • v0.6.1 v0.6.1

  • v0.6.0 v0.6.0

    • #33 Updated dependencies and support Symfony 4.1 (@Deepress)
  • v0.5.0 v0.5.0

    • #30 Add support for PHP 7.2
    • #28 Remove need to duplicate class name in service definition
    • #26 Make Kdyby/Annotations optional
  • v0.4.0 v0.4.0

    • #24 Fix compatibility with Nette/DI 2.4; thx @enumag
    • #22 Add support for strict e-mail validation; thx @enumag
    • #20 Refactor ConstraintValidatorFactory; thx @enumag
    • #18 Fix usage of Expression constraint; thx @enumag
    • #16 Add support for kdyby/doctrine-cache; thx @enumag

    This release is for Nette ~2.3

  • v0.3.1 v0.3.1

    • #22 Add support for strict e-mail validation; thx @enumag
    • #20 Refactor ConstraintValidatorFactory; thx @enumag
    • #18 Fix usage of Expression constraint; thx @enumag
    • #16 Add support for kdyby/doctrine-cache; thx @enumag

    This release is for Nette 2.2.*

  • v0.3 v0.3

    • Upgraded symfony/validator to v2.5 by @enumag

    This release is for Nette >=2.2

bar-chart-fill

Statistics

download-cloud-fill
106950
star-fill
9
bug-fill
4
flashlight-fill
1.5y
price-tag-2-line

Badges

guide-fill

Dependencies

php (^7.1)
nette/di (~2.4@dev)
nette/utils (~2.4@dev)
Componette Componette felix@nette.org